Loading...
Searching...
No Matches
pappso::PeptideModificatorTee Class Reference

`#include <peptidemodificatortee.h>`

Inheritance diagram for pappso::PeptideModificatorTee:

## Public Member Functions

| PeptideModificatorTee ()
| PeptideModificatorTee (const PeptideModificatorTee &other)
virtual | ~PeptideModificatorTee ()
void | setPeptideSp (std::int8_t sequence_database_id, const ProteinSp &protein_sp, bool is_decoy, const PeptideSp &peptide_sp_original, unsigned int start, bool is_nter, unsigned int missed_cleavage_number, bool semi_enzyme) override
| function to give the products of modifications for a digested peptide
void | addModificator (PeptideModificatorInterface *p_peptide_mod)
Public Member Functions inherited from pappso::PeptideModificatorInterface
virtual | ~PeptideModificatorInterface ()

## Private Attributes

std::list< PeptideModificatorInterface * > | m_peptideModPtrList

## Detailed Description

Definition at line 34 of file peptidemodificatortee.h.

## Constructor & Destructor Documentation

## PeptideModificatorTee() [1/2]

PeptideModificatorTee::PeptideModificatorTee | ( |  | ) |

Definition at line 28 of file peptidemodificatortee.cpp.

{
}

## PeptideModificatorTee() [2/2]

PeptideModificatorTee::PeptideModificatorTee | ( | const PeptideModificatorTee & | other | ) |

Definition at line 32 of file peptidemodificatortee.cpp.

{
throw PappsoException(
QObject::tr("unable to copy PeptideModificatorTee object"));
m_peptideModPtrList = other.m_peptideModPtrList;
}
pappso::PappsoException
Definition pappsoexception.h:42
pappso::PeptideModificatorTee::m_peptideModPtrList
std::list< PeptideModificatorInterface * > m_peptideModPtrList
Definition peptidemodificatortee.h:54

References m_peptideModPtrList.

## ~PeptideModificatorTee()

PeptideModificatorTee::~PeptideModificatorTee | ( |  | ) |

virtual

Definition at line 38 of file peptidemodificatortee.cpp.

{
}

## Member Function Documentation

## addModificator()

void PeptideModificatorTee::addModificator | ( | PeptideModificatorInterface * | p_peptide_mod | ) |

Definition at line 43 of file peptidemodificatortee.cpp.

{
m_peptideModPtrList.push_back(p_peptide_mod);
}

References m_peptideModPtrList.

Referenced by pappso::PeptideModificatorPipeline::addLabeledModificationString().

## setPeptideSp()

void PeptideModificatorTee::setPeptideSp | ( | std::int8_t | sequence_database_id,
|  | const ProteinSp & | protein_sp,
|  | bool | is_decoy,
|  | const PeptideSp & | peptide_sp,
|  | unsigned int | start,
|  | bool | is_nter,
|  | unsigned int | missed_cleavage_number,
|  | bool | semi_enzyme
| ) |  |

override virtual

function to give the products of modifications for a digested peptide

Parameters

  sequence_database_id | integer that references the sequence fatabase (file, stream, url...)
  protein_sp | shared pointer on the protein that was initialy digested
  is_decoy | tell if the current protein is a decoy (true) or normal (false) protein
  peptide | Peptide object containing sequence and possible modifications
  start | the position of the first amino acid of the peptide in the original protein sequence. the first amino acid of the protein is at position 1.
  is_nter | boolean to tell if the peptide is an Nter peptide (to allow Methionin Nter removal)
  missed_cleavage_number | number of missed cleavage sites (that the enzyme has not cut) fot the product
  semi_enzyme | boolean that tells if this peptide is the produce of a semi enzymatic lysis

Implements pappso::PeptideModificatorInterface.

Definition at line 51 of file peptidemodificatortee.cpp.

{
qDebug() << "PeptideModificatorTee::setPeptide begin";
for(auto p_peptide_mod : m_peptideModPtrList)
{
p_peptide_mod->setPeptideSp(sequence_database_id,
protein_sp,
is_decoy,
peptide_sp_original,
start,
is_nter,
missed_cleavage_number,
semi_enzyme);
}
qDebug() << "PeptideModificatorTee::setPeptide end";
}

References m_peptideModPtrList.

## Member Data Documentation

## m_peptideModPtrList

std::list<PeptideModificatorInterface *> pappso::PeptideModificatorTee::m_peptideModPtrList

private

Definition at line 54 of file peptidemodificatortee.h.

Referenced by PeptideModificatorTee(), addModificator(), and setPeptideSp().

The documentation for this class was generated from the following files:

- pappsomspp/protein/peptidemodificatortee.h
- pappsomspp/protein/peptidemodificatortee.cpp